// GUI.H
// Titan Win32 GUI Header

#ifndef GUI_H
#define GUI_H

//#define GUI_SAVE_DIRECTORY

#define	IDC_STATIC	-1

#define IDM_LOAD	100
#define IDM_EXIT	101
#define IDM_ROM		102
#define IDM_RUN		200
//#define IDM_PAUSE	201
#define IDM_HALT	202
#define IDM_PLUGIN	300
#define IDM_SETTINGS	301
#define IDM_ABOUT	400

// Plugin SubSystem GUI
#define SAT_OK		100
#define SAT_CANCEL	101

#define VDPSELECT		10
#define VDPCONFIGURE	11
#define VDPTEST			12
#define VDPABOUT		13
#define SPUSELECT		20
#define SPUCONFIGURE	21
#define SPUTEST			22
#define SPUABOUT		23
#define SCUSELECT		30
#define SCUCONFIGURE	31
#define SCUTEST			32
#define SCUABOUT		33
#define PIOSELECT		40
#define PIOCONFIGURE	41
#define PIOTEST			42
#define PIOABOUT		43

#define PLUGINCAPTEXT	"In order for Titan to correctly run, each of these plugins must be selected and tested to run. Failure to do so will result in undefined behavior"

#define IDM_DUMMY	1
#define	AboutBox	1000
#define PLUGIN_SETUP	6000

// Version Revisions
#define VERSION_TEXT   "Titan v0.01 Build '2000X'"
#define VERSION_NAME   "Titan v0.01\0"
#define VERSION_STRING "0.01 Build '2000X'"
#define VERSION_NUMBER 0.01
#endif
